/*----------------------------------------------------------
☆ はじめに作った"nightly red"ユーザースタイルシート
   というか単に全部くっつけただけ
*/

/*----------------------------------------------------------
○ from base.css
*/

body
{
	margin: 0;
	line-height: 1.4;
}

/* いったん各マージン、パディングを削除 */
p,ul,ol,dl,li,dt,dd,pre,blockquote,address,
h1,h2,h3,h4,h5,h6
{
	margin:0;
	padding:0;
}

h1,h2,h3,h4,h5,h6
{
	line-height: 1.1;
}

h1{font-size: 400%;text-align: center;}
h2{font-size: 285%;}
h3{font-size: 220%;}
h4{font-size: 170%;}
h5{font-size: 130%;}
h6{font-size: 100%;}

em
{
	font-style: normal;
	font-weight: bolder;
}

strong
{
	font-weight: bolder;
	text-decoration: underline;
}

address
{
	text-align: center;
}

pre
{
	font-family: 'ＭＳ ゴシック', 'Osaka-等幅', monospace;
}

p
{
	text-indent: 1em;
}

/*----------------------------------------------------------
□ ins,del要素
*/

ins,del
{
	display: block;
}

p ins,p del,
dt ins,dt del,
li ins,li del,
pre ins,pre del
{
	display: inline;
}

/*----------------------------------------------------------
○ from locate.css
*/

/*----------------------------------------------------------
□ 見出し・水平線
*/

hr
{
	position: relative;
	right: 50%;
	width: 100%;
	margin: 1em 0;
	height: 2px;
	border: 0 #000 none;
}

h1
{
	text-align: right;
}

h2
{
	margin-top: 1em;
	text-align: left;
	position: relative;
	left: 40%;
	right: 0%;
	width: 60%;
}

h3
{
	margin-top: 1em;
	text-align: right;
	font-size: 150%;
	margin-left: 5%;
	margin-right: 65%;
	padding: 0 0.5em;
	border-bottom: 2px #000000 solid;
}

h4
{
	margin: 0 5% 0 20%;
}

h5
{
	margin: 0 5% 0 20%;
}

h6
{
	margin: 0 5% 0 20%;
}

/*----------------------------------------------------------
□ ブロック要素
*/

p,ul,ol,dl,pre
{
	margin: 0 5% 0 20%;
	padding: 0.5em;
}

blockquote
{
	margin: 0 5% 0 20%;
	padding: 0;
	border-top: 0.5em #000 solid;
	border-bottom: 0.5em #000 solid;
}

/*----------------------------------------------------------
□ リスト子要素
*/

dt
{
	padding: 0.5em 0;
}

li
{
	margin-left: 2em;
}

dd
{
	margin-left: 2em;
}

/*----------------------------------------------------------
□ ブロック内ブロック要素
*/

blockquote h1,
blockquote h2,
blockquote h3,
blockquote h4,
blockquote h5,
blockquote h6
{
	margin: 0;
}

li p,dd p,blockquote p
{
	margin: 0;
}

li ul,dd ul,blockquote ul,
li ol,dd ol,blockquote ol,
li dl,dd dl,blockquote dl,
li pre,dd pre,blockquote pre
{
	margin: 0;
}

li blockquote,dd blockquote,blockquote blockquote
{
	margin: 0;
}

/*----------------------------------------------------------
○ from color.css
*/

body
{
	background-color: #400;
	color: #fcc;
	background-image: url(img/body.png);
	background-repeat: repeat-y;
	background-attachment: scroll;
	background-position: left;
}

/*----------------------------------------------------------
□ 見出し・水平線
*/

hr
{
	color: #f00;
	background-color: #f00;
}

h1
{
}

h1:first-letter
{
}

h2
{
	background-color: #a00;
	color: #fcc;
	background-image: url(img/h2.png);
	background-repeat: repeat-y;
	background-attachment: scroll;
	background-position: left;
}

h3
{
	background-image: url(img/h3.png);
	background-repeat: repeat-x;
	background-attachment: scroll;
	background-position: left bottom;
	border-color: #a00000;
}

h4
{
}

h5
{
}

h6
{
}

/*----------------------------------------------------------
□ ブロック要素
*/

p,ul,ol,dl,pre
{
	color: #400;
	background-color: #caa;
	background-image: url(img/p.png);
	background-repeat: repeat;
	background-attachment: scroll;
	background-position: right bottom;
}

blockquote
{
	color: #000;
	background-color: #fcc;
	border-color: #800;
}

/*----------------------------------------------------------
□ ins,del要素
*/

ins
{
	color: #400;
}

del
{
	color: #844;
}

ins p,ins ul,ins ol,ins dl,ins pre
{
	color: #400;
}

del p,del ul,del ol,del dl,del pre
{
	color: #844;
}


/*----------------------------------------------------------
□ リスト子要素
*/

dt
{
}

li,dd
{
}

/*----------------------------------------------------------
□ ブロック内ブロック要素
*/

li p,dd p,blockquote p
{
	background-color: transparent;
	background-image: none;
}

li ul,dd ul,blockquote ul,
li ol,dd ol,blockquote ol,
li dl,dd dl,blockquote dl,
li pre,dd pre,blockquote pre
{
	background-color: transparent;
	background-image: none;
}

li blockquote,dd blockquote,blockquote blockquote
{
	background-color: transparent;
	background-image: none;
}

blockquote p,blockquote ul,blockquote ol,blockquote dl,blockquote pre
{
	color: #000;
	background-color: #fcc;
}

/*----------------------------------------------------------
□ インライン要素
*/

q
{
	color: #000;
	background-color: #fcc;
}

/*----------------------------------------------------------
○ from anchor.css
*/

a:link
{
	color: #0000ff;
}
a:link img
{
	border-color: #0000ff;
}

a:visited
{
	color: #880088;
}

a:visited img
{
	border-color: #880088;
}

a:hover
{
	color: #00ff00;
	background-color: #000000;
}
a:hover img
{
	border-color: #00ff00;
}

a:active,
a:focus
{
	color: #ff0000;
	background-color: #ffffff;
}
a:active img,
a:focus img
{
	border-color: #ff0000;
}


address a:link
{
	color: #00ffff;
}

address a:visited
{
	color: #ffff00;
}

address a:hover
{
	color: #00ff00;
	background-color: #000000;
}

address a:active,
address a:focus
{
	color: #ff0000;
	background-color: #ffffff;
}
